summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorJohn Firebaugh <john.firebaugh@gmail.com>2015-11-20 14:55:49 -0800
committerJohn Firebaugh <john.firebaugh@gmail.com>2015-11-25 15:57:37 -0800
commited5eb9edc1458692bf6ff71d5ec95a7d3400318f (patch)
treec60c536731f37b67a7f15abeec22ca46d7cd2f5e /scripts
parent54eff4b4c108598aa30f280de312e4cc88d72368 (diff)
downloadqtlocation-mapboxgl-ed5eb9edc1458692bf6ff71d5ec95a7d3400318f.tar.gz
[test] Add pixelmatch; use in annotation tests
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/linux/after_script.sh15
-rw-r--r--scripts/linux/configure.sh1
-rw-r--r--scripts/osx/configure.sh1
3 files changed, 17 insertions, 0 deletions
diff --git a/scripts/linux/after_script.sh b/scripts/linux/after_script.sh
new file mode 100755
index 0000000000..f8e4bc3486
--- /dev/null
+++ b/scripts/linux/after_script.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -e
+set -o pipefail
+
+if [ ! -z "${AWS_ACCESS_KEY_ID}" ] && [ ! -z "${AWS_SECRET_ACCESS_KEY}" ] ; then
+ # Install and add awscli to PATH for uploading the results
+ pip install --user awscli
+ export PATH="`python -m site --user-base`/bin:${PATH}"
+
+ REPO_NAME=$(basename $TRAVIS_REPO_SLUG)
+
+ aws s3 cp --recursive --acl public-read test/fixtures/annotations \
+ s3://mapbox/$REPO_NAME/render-tests/$TRAVIS_JOB_NUMBER/annotations
+fi
diff --git a/scripts/linux/configure.sh b/scripts/linux/configure.sh
index f270c903ee..6a88c13c01 100644
--- a/scripts/linux/configure.sh
+++ b/scripts/linux/configure.sh
@@ -15,6 +15,7 @@ GEOJSONVT_VERSION=2.1.6.3
VARIANT_VERSION=1.0
RAPIDJSON_VERSION=1.0.2
GTEST_VERSION=1.7.0
+PIXELMATCH_VERSION=0.9.0
function print_opengl_flags {
CONFIG+=" 'opengl_cflags%': $(quote_flags $(pkg-config gl x11 --cflags)),"$LN
diff --git a/scripts/osx/configure.sh b/scripts/osx/configure.sh
index 34024a40f4..823e3b6260 100644
--- a/scripts/osx/configure.sh
+++ b/scripts/osx/configure.sh
@@ -15,3 +15,4 @@ GEOJSONVT_VERSION=2.1.6.3
VARIANT_VERSION=1.0
RAPIDJSON_VERSION=1.0.2
GTEST_VERSION=1.7.0
+PIXELMATCH_VERSION=0.9.0